org.jboss.jca.core.spi.security

## Interface Callback

- All Superinterfaces:
    java.io.Serializable

      public interface Callback
      extends java.io.Serializable

  This SPI interface represents the security inflow contract in the container environment
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getDefaultGroups()` Get the default groups
    `java.security.Principal` | `getDefaultPrincipal()` Get the default principal
    `java.lang.String` | `getDomain()` Get the domain
    `boolean` | `isMappingRequired()` Is an user mapping required
    `javax.security.auth.callback.Callback[]` | `mapCallbacks(javax.security.auth.callback.Callback[] callbacks)` Applies all mappings in the array of `Callback` objects.
    `java.lang.String` | `mapGroup(java.lang.String name)` Map a group
    `java.security.Principal` | `mapPrincipal(java.lang.String name)` Map a principal
    `void` | `start()` Start
    `void` | `stop()` Stop

- - ### Method Detail

    - #### getDomain

          java.lang.String getDomain()

      Get the domain
      Returns:
        The domain

    - #### isMappingRequired

          boolean isMappingRequired()

      Is an user mapping required
      Returns:
        The value

    - #### getDefaultPrincipal

          java.security.Principal getDefaultPrincipal()

      Get the default principal
      Returns:
        The value; `null` if no default principal

    - #### getDefaultGroups

          java.lang.String[] getDefaultGroups()

      Get the default groups
      Returns:
        The value; `null` if no default groups

    - #### mapPrincipal

          java.security.Principal mapPrincipal(java.lang.String name)

      Map a principal
      Parameters:
        `name` - The principal name
      Returns:
        The value; `null` if no mapping could be found

    - #### mapGroup

          java.lang.String mapGroup(java.lang.String name)

      Map a group
      Parameters:
        `name` - The group name
      Returns:
        The value; `null` if no mapping could be found

    - #### mapCallbacks

          javax.security.auth.callback.Callback[] mapCallbacks(javax.security.auth.callback.Callback[] callbacks)

      Applies all mappings in the array of `Callback` objects.
      Parameters:
        `callbacks` - an array of callbacks that will be mapped
      Returns:
        the new array of mapped callbacks

    - #### start

          void start()
              throws java.lang.Throwable

      Start
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### stop

          void stop()
             throws java.lang.Throwable

      Stop
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)